curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/annotationsGroups/{annotationsGroupId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"annotations": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopes": [
"DEPLOYMENTS"
],
"updated_at": "2023-11-07T05:31:56Z"
}Get organization annotations group
curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/annotationsGroups/{annotationsGroupId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"annotations": [
{
"key": "<string>",
"value": "<string>"
}
],
"scopes": [
"DEPLOYMENTS"
],
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Organization annotations group ID
List organization annotations groups
Show child attributes
Annotations Group Scope
DEPLOYMENTS, STATEFUL_SETS, SERVICES, INGRESS, GATEWAY_API_ROUTES, HPA, PODS, SECRETS, JOBS, CRON_JOBS Was this page helpful?